package com.palidinodh.osrsscript.map.area.feldiphills.hunterarea.handler.npcspawn;

import java.util.ArrayList;
import java.util.List;
import com.palidinodh.osrscore.io.cache.id.NpcId;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawn;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawnHandler;
import com.palidinodh.osrscore.model.tile.Tile;
import lombok.var;

class FeldipHunterAreaNpcSpawns implements NpcSpawnHandler {
  @Override
  public List<NpcSpawn> getSpawns() {
    var spawns = new ArrayList<NpcSpawn>();

    spawns.add(new NpcSpawn(NpcId.BANKER, new Tile(2523, 2914), Tile.Direction.EAST));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2586, 2886), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2591, 2887), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2589, 2883), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2596, 2883), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2600, 2891), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2601, 2885), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2606, 2883), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2584, 2892), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2584, 2883), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2587, 2897), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2605, 2888), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2603, 2894), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2607, 2895), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2610, 2899), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2604, 2898), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2602, 2902), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2607, 2902), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2611, 2904), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2613, 2909), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2606, 2906), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2601, 2907), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2605, 2914), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2607, 2917), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2610, 2921), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2611, 2926), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2613, 2932), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2609, 2930), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2606, 2925), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2605, 2920), 8));
    spawns.add(new NpcSpawn(NpcId.CRIMSON_SWIFT, new Tile(2601, 2914), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2556, 2927), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2557, 2931), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2559, 2935), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2558, 2941), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2564, 2937), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2562, 2940), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2553, 2926), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2554, 2935), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2559, 2930), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2555, 2937), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2541, 2936), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2543, 2938), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2545, 2940), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2547, 2942), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2549, 2937), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2538, 2937), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2541, 2928), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2537, 2929), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2539, 2926), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2543, 2924), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2542, 2919), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2537, 2920), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2535, 2915), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2541, 2916), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2545, 2913), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2500, 2885), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2504, 2885), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2509, 2882), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2503, 2882), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2502, 2891), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2506, 2885), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2519, 2882), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2518, 2888), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2520, 2887), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2521, 2884), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2522, 2882), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2497, 2907), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2502, 2908), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2503, 2905), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2507, 2907), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2506, 2912), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2503, 2911), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2497, 2913), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2502, 2915), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2498, 2916), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2509, 2909), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2509, 2903), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2506, 2909), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2556, 2934), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2551, 2935), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2557, 2938), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2561, 2938), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2560, 2933), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2555, 2929), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2559, 2928), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2556, 2925), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2557, 2921), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2555, 2918), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2551, 2917), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2553, 2939), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2548, 2939), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2547, 2936), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2550, 2941), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2555, 2942), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2561, 2943), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2565, 2940), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2566, 2936), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2544, 2942), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2538, 2942), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2539, 2928), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2542, 2926), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2538, 2924), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2542, 2922), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2545, 2925), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2540, 2918), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2543, 2915), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2546, 2917), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2533, 2916), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2544, 2911), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2544, 2906), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2502, 2888), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2499, 2891), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2506, 2887), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2508, 2884), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2505, 2882), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2498, 2884), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2497, 2881), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2511, 2882), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2509, 2887), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2513, 2886), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2515, 2882), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2518, 2885), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2498, 2903), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2500, 2906), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2499, 2910), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2500, 2914), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2505, 2907), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2511, 2907), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2512, 2903), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2509, 2911), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2506, 2915), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2514, 2912), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2518, 2907), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2522, 2901), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2498, 2919), 8));
    spawns.add(new NpcSpawn(NpcId.CARNIVOROUS_CHINCHOMPA_2, new Tile(2504, 2920), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2584, 2925), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2589, 2926), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2595, 2926), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2598, 2922), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2591, 2937), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2584, 2935), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2579, 2931), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2586, 2930), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2593, 2929), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2599, 2929), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2536, 2903), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2534, 2906), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2529, 2900), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2529, 2894), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2499, 2936), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2502, 2942), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2537, 2942), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2569, 2906), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2566, 2909), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2570, 2912), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2570, 2916), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2567, 2897), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2564, 2894), 8));
    spawns.add(new NpcSpawn(NpcId.BLACK_WARLOCK, new Tile(2570, 2890), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2521, 2941), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2525, 2938), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2527, 2933), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2532, 2936), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2525, 2927), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2520, 2931), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2519, 2936), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2515, 2937), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2513, 2931), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2517, 2927), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2518, 2923), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2517, 2915), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2528, 2924), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2521, 2925), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2523, 2935), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2511, 2936), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2507, 2935), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2507, 2939), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2502, 2894), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2505, 2897), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2508, 2900), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2498, 2896), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2504, 2901), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2545, 2886), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2541, 2889), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2544, 2893), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2549, 2892), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2544, 2889), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2549, 2888), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2550, 2883), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2555, 2885), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2538, 2884), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2548, 2896), 8));
    spawns.add(new NpcSpawn(NpcId.TROPICAL_WAGTAIL, new Tile(2559, 2884), 8));

    return spawns;
  }
}
